<bugID>1173761<Summary>Display animations's duration, delay and iteration count values in the new timeline UI (v3)</Summary><Description>The new timeline-based UI in the animation inspector shows animations along a time scale, but the time graduations are not precise enough to know, just by looking at the animation timeline, its duration, delay and iteration count (especially when there are many).

These information should appear somewhere in the UI, maybe only on hover.

In the previous (current, v2) UI, these information were displayed in the header, above each animation player widget.</Description></bugID>